petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMCompositeAddDM

adds a DM vector to a DMComposite

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeAddDM(DM dmc,DM dm)

Collective on DMComposite

### Input Parameter

| dm | - the packer object
| dm | - the DM object, if the DM is a da you will need to caste it with a (DM)

### See Also

DMDestroy(), DMCompositeGather(), DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeScatter(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(), DMCompositeGetEntries()

Level:advanced
Location:src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex28.c.html
src/ts/examples/tutorials/ex14.c.html